/**
  * Un jeu de jetons fous.
  *
  * @author Nicolas JANEY, Universite de Franche-Comte, France, <a href="mailto:nicolas.janey@univ-fcomte.fr">nicolas.janey@univ-fcomte.fr</a>
  */


public class JetonsFousEnConsole {

  /**
    * Programme principal.
    *
    * @param args Le tableau des parametres de lancement.
    */
  public static void main(String [] args) {
    Console.setTitle("JetonsFous");
    boolean fini = false;
    int v = 0;
    while ( !fini ) {
      Console.afficherln("1 - Lancer en mode texte");
      Console.afficherln("2 - Lancer en mode graphique");
      Console.afficherln("3 - Lancer en modes texte et graphique");
      Console.afficherln("0 - Quitter");
      Console.afficher("Choix : ");
      v = Console.saisirInt();
      switch(v) {
        case 1:
        case 2:
        case 3: {
          Damier damier = new Damier(20,30,200);
          damier.lancement(v); }
        break;
        case 0: {
          fini = true; }
        break; } }
    FenetreGraphique.exit();
  }
}
